<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Client Management Registration</title>
    <link rel="stylesheet" href="../app/css/govuk-frontend.min.css"/>
    <link rel="stylesheet" href="../app/css/sra.css"/>
    <style>
      .highlight {
        background: yellow;
      } 
    </style>
  </head>
  <body class="govuk-template__body">
    {% from 'components/button/macro.njk' import govukButton %}
    {% from "components/select/macro.njk" import govukSelect %}

    <header class="govuk-header" data-module="govuk-header">
      <div class="govuk-header__container govuk-width-container">
        <div class="govuk-header__logo">
          <a href="/" class="govuk-header__link govuk-header__link--homepage">
            <span class="govuk-header__logotype">
              <span class="govuk-header__logotype-text">Client Management Registration</span>
            </span>
          </a>
        </div>
      </div>
    </header>

    <div class="govuk-width-container">
      <main class="govuk-main-wrapper" id="main-content">
        {% if errors %}
          <div class="govuk-error-summary" aria-labelledby="error-summary-title" role="alert" tabindex="-1">
            <h2 class="govuk-error-summary__title" id="error-summary-title">
              {{ t('common:error-summary-heading') }}
            </h2>
            <div class="govuk-error-summary__body">
              <ul class="govuk-list govuk-error-summary__list">
                {% for field, error in errors %}
                  <li>
                    <a href="#{{ field }}">{{ error }}</a>
                  </li>
                {% endfor %}
              </ul>
            </div>
          </div>
        {% endif %}

          <!-- full name -->
          <div class="form-group-horizontal govuk-form-group {% if errors.fullName %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="fullName">
              {{ t('registration:fullName.label') }}
            </label>
            <input
                class="govuk-input"
                id="fullName"
                name="fullName"
                type="text"
                value="{{fullName}}"
                disabled
              >
          </div>

          <!-- your email address -->
          <div class="form-group-horizontal govuk-form-group {% if errors.yourEmailAddress%}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="yourEmailAddress">
              {{ t('registration:yourEmailAddress.label') }}
            </label>
            <input
                class="govuk-input"
                id="yourEmailAddress"
                name="yourEmailAddress"
                type="text"
                value="{{yourEmailAddress}}"
                disabled
              >
          </div>

          <!-- team email address -->
          <div class="form-group-horizontal govuk-form-group {% if errors.teamEmailAddress%}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="teamEmailAddress">
              {{ t('registration:teamEmailAddress.label') }}
            </label>
            <input
                class="govuk-input"
                id="teamEmailAddress"
                name="teamEmailAddress"
                type="text"
                value="{{teamEmailAddress}}"
                disabled
              >
          </div>

          <!-- line manager email address -->
          <div class="form-group-horizontal govuk-form-group {% if errors.lineManagerEmailAddress%}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="lineManagerEmailAddress">
              {{ t('registration:lineManagerEmailAddress.label') }}
            </label>
            <input
              class="govuk-input"
              id="lineManagerEmailAddress"
              name="lineManagerEmailAddress"
              type="text"
              value="{{lineManagerEmailAddress}}"
              disabled
            >
          </div>

          <!-- your team's slack channel -->
          <div class="form-group-horizontal govuk-form-group {% if errors.slackChannel %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="slackChannel">
              {{ t('registration:teamSlackChannel.label') }}
            </label>
            <input
              class="govuk-input"
              id="slackChannel"
              name="slackChannel"
              type="text"
              value="{{slackChannel}}"
              disabled
            >
          </div>

          <!-- dwp service name -->
          <div class="form-group-horizontal govuk-form-group {% if errors.dwpServiceName %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="dwpServiceName">
              {{ t('registration:dwpServiceName.label') }}
            </label>
            <input
              class="govuk-input"
              id="dwpServiceName"
              name="dwpServiceName"
              type="text"
              value="{{dwpServiceName}}"
              disabled
            >
          </div>

          <!-- clientId -->
          <div class="form-group-horizontal govuk-form-group {% if errors.clientId %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="clientId">
              {{ t('registration:clientId.label') }}
            </label>
            <span class="web-para">
              <input
                class="web-input"
                id="clientId"
                name="clientId"
                size="11"
                value="{{clientId}}"
                disabled
                >
              </span>
          </div>

          <!-- client secret -->
          <div class="form-group-horizontal govuk-form-group {% if errors.clientSecret %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="clientSecret">
              {{ t('registration:clientSecret.label') }}
            </label>
            <input
              class="govuk-input"
              id="clientSecret"
              name="clientSecret"
              type="text"
              value="{{clientSecret}}"
              disabled
            >
          </div>

          <!-- client secret expiry time -->
          <div class="form-group-horizontal govuk-form-group {% if errors.clientSecretExpiryTime %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="clientSecretExpiryTime">
              {{ t('registration:clientSecretExpiryTime.label') }}
            </label>
            <input
              class="govuk-input"
              id="clientSecretExpiryTime"
              name="clientSecretExpiryTime"
              type="text"
              value="{{clientSecretExpiryTime}}"
              disabled
            >
          </div>

          <!-- redirect url -->
          <div class="form-group-horizontal govuk-form-group {% if errors.redirectUrl %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="redirectUrl">
              {{ t('registration:redirectUrl.label') }}
            </label>
            <input
                class="govuk-input"
                id="redirectUrl"
                name="redirectUrl"
                type="text"
                value="{{redirectUrl}}"
                disabled
              >
          </div>

          <!-- id token signature algorithm -->
          <div class="form-group-horizontal govuk-form-group {% if errors.idTokenSignatureAlgorithm %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="idTokenSignatureAlgorithm">
              {{ t('registration:idTokenSignatureAlgorithm.label') }}
            </label>
            <input
                class="govuk-input"
                id="redirectUrl"
                name="redirectUrl"
                type="text"
                value="{{algorithm}}"
                disabled
              >
          </div>

          <!-- scopes -->
          <div class="form-group-horizontal govuk-form-group {% if errors.scopes %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="scopes">
              {{ t('registration:scopes.label') }}
              <br>
            </label>
            <input
              class="govuk-input"
              id="scopes"
              name="scopes"
              type="text"
              value="{{scopes}}"
              disabled
            >
          </div>

          <!-- claims -->
          <div class="form-group-horizontal govuk-form-group {% if errors.claims %}govuk-form-group--error{% endif %}">
            <label class="govuk-label" for="claims">
              {{ t('registration:claims.label') }}
            </label>
            <input
              class="govuk-input"
              id="claims"
              name="claims"
              type="text"
              value="{{claims}}"
              disabled
            >
          </div>

          <!-- buttons -->
          <div class="govuk-button-group">
              <button class="govuk-button" id="btn-back">Back to task list</button>
          </div>
      </main>
    </div>
    <script>
      document
        .getElementById('btn-back')
        .addEventListener('click', () => {
            window.location.href = `/dth-access?page=1`;
        });
    </script>
</body>
</html>